#ifndef _E3D_BILL_BOARD_
#define _E3D_BILL_BOARD_

#include <easy3d.h>

namespace HPL {
namespace E3D {
/**
  *
  */
class E3DBillBoard {
private:
	int m_nBillBoardID;
	int m_nLifeCounter;
	int m_nLifeCounterMax;
	D3DXVECTOR3 m_vVelocity;

	BOOL m_bAlive;	// 死んでる（使われていない）
public:
	E3DBillBoard();
	~E3DBillBoard();

	int get_BillBoardID();
	int get_LifeCounter();
	int get_LifeCounterMax();
	VOID get_Velocity(D3DXVECTOR3* vVelocity );
	BOOL get_Alive();
	void set_BillBoardID(int nBillBoardID );
	void set_LifeCounterMax( int nLifeCounterMax );
	void set_Velocity( D3DXVECTOR3& vVelocity );
	void set_Alive( BOOL bAlive );
	void set_LifeCounter( int nLifeCounter );

	/** 寿命をちじめる
	  * @retval	TRUE	寿命が来た
	  * @retval	FALSE	まだ死なない
	  */
	BOOL step();

	/** 初期化する
	  *
	  */
	void reset();
};
}
}

#endif
